MKC_CHECK_HEADER(1)

NAME
mkc_check_header - detects presense of header file.

SYNOPSIS
mkc_check_header [OPTIONS] <headers>

DESCRIPTION
mkc_check_header detects presense of header file. As a result it prints either 1 (true) or 0 (false) to stdout. headers may be either a single header file or a list of headers separated by comma. In this case all mentioned headers are put into a single .c file and ${CC} is run. By default $CC -c is used for checking. By default, temporary and cache files _mkc_header_lheader_h.{c,err,res} are created under MKC_CACHEDIR directory. Here, lheader_h is the last header from comma-separated list headers.

OPTIONS

-h  Display help message.

-e  Use $CC -E for checking instead of $CC -c.

-d  Delete cache file.

ENVIRONMENT

CC  Compiler. By default cc is used.

CPPFLAGS, CFLAGS
    Options passed to the compiler.

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   mkc_check_header stdint.h
   mkc_check_header getopt.h
   mkc_check_header sys/types.h,sys/stat.h,fts.h

C FILE CONTENT
#include <header1.h>
 ... #include <headerN.h> int __fake_variable;

AUTHOR
Aleksey Cheusov <vle@gmx.net>